#version 450

layout(push_constant) uniform constants {
    mat4 inverseViewProjection;
    float alpha;
};

layout(location = 0) in vec3 iFragTexCoord;

layout(location = 0) out vec4 oColor;

layout(set = 0, binding = 0) uniform samplerCube skybox;

void main() {
    oColor = texture(skybox, iFragTexCoord);
    oColor.a = alpha;
}
